unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons, FileCtrl;

type
  TForm1 = class(TForm)
    Explorer1: TSpeedButton;
    FileListBox1: TFileListBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Edit1: TEdit;
    FilterComboBox1: TFilterComboBox;
    BitBtn6: TBitBtn;
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    procedure FileListBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Edit1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure Edit1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Explorer1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FileListBox1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  {Start the Drag operation. True - will start the drag
   operation instantly on a mouse down. You don't want that to happen. }
  FileListBox1.BeginDrag(False);
end;

procedure TForm1.Edit1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  {Assign the Text of the Edit to the currently selected
  File in the FileListBox}
  Edit1.Text := FileListBox1.FileName;
end;

procedure TForm1.Edit1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  {Accept a dragged object if the Source is
  if FileListBox }
  Accept := Source is TFileListBox;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Lines.LoadFromFile(Edit1.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Memo1.Clear;
end;

procedure TForm1.Explorer1Click(Sender: TObject);
begin
  WinExec('C:\windows\explorer.exe', SW_SHOWMAXIMIZED);
end;

end.
